#!/bin/bash
go-plantuml generate -o generated/meowlib.puml -d ..
sed -i 's/\.\./meowlib\ /g' generated/meowlib.puml
go-plantuml generate -o generated/client.puml -d ../client
sed -i 's/\.\.\/client/client/g' generated/client.puml
go-plantuml generate -o generated/server.puml -d ../server
sed -i 's/\.\.\/server/server/g' generated/server.puml
cp *.puml generated/
cd generated
plantuml .
plantuml -latex .
mv *.tex tex/
mv *.png png/
rm *.log *.aux *.fdb_latexmk *.fls *.gz *.puml 



